# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0

Name: direnv
Version: 2.9.0
Release: 1%{?dist}
Summary: Environment variable switcher for the shell
License: MIT
URL: https://github.com/direnv/direnv
Source0: https://github.com/direnv/direnv/archive/v%{version}.tar.gz
ExclusiveArch: %{go_arches}
BuildRequires: compiler(go-compiler)

%description
direnv is an environment switcher for the shell. It knows how to hook
into bash, zsh, tcsh and fish shell to load or unload environment
variables depending on the current directory. This allows
project-specific environment variables without cluttering the
"~/.profile" file.

%prep
%setup -q

%build
make GO_LDFLAGS="-B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \n')"

%install
install -d -p %{buildroot}%{_bindir}
install -p -m 0755 direnv %{buildroot}%{_bindir}

install -d -p %{buildroot}%{_mandir}/man1
install -p -m 0644 man/*.1 %{buildroot}%{_mandir}/man1

%check
make test

%files
%license LICENSE.md
%doc CHANGELOG.md README.md
%doc %{_mandir}/man1/%{name}.1*
%doc %{_mandir}/man1/%{name}-stdlib.1*
%{_bindir}/direnv

%changelog
* Wed Jul 20 2016 Dominic Cleal <dominic@cleal.org> - 2.9.0-1
- Initial build for Fedora
